## pytest 3.0.3

=== debian/changelog ===
pytest (3.0.3-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * dont build the pypy package

 -- Sandro Tosi <morph@debian.org>  Mon, 24 Oct 2016 15:16:27 -0400

pytest (3.0.3-1) unstable; urgency=medium

  * New upstream release.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 10 Oct 2016 20:07:18 +0200

pytest (3.0.2-1) unstable; urgency=medium

  * New upstream release.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 03 Sep 2016 11:11:27 +0200

pytest (3.0.1-2) unstable; urgency=medium

  [ Julian Taylor ]
  * Add pypy package (Closes: #797977)

  [ Sebastian Ramacher ]
  * Upload to unstable.
  * debian/copyright: Fix copyright years and copyright information for
    doc/en/_themes.
  * debian/rules: Generate manpage for py.test-pypy.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 30 Aug 2016 23:07:11 +0200

pytest (3.0.1-1) experimental; urgency=medium

  * New upstream release.
    - Fixes regression when using importorskip at module level. (Closes:
      #835242)
    - Fixes regression with parametrizing tests. (Closes: #835248)

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 25 Aug 2016 09:58:18 +0200

pytest (3.0.0-1) experimental; urgency=medium

  * New upstream release.
  * debian/patches/drop-entrypoints-logic.patch: Removed, included upstream.
  * debian/python{,3}.*: Remove versioned entry points as they are no longer
    provided upstream.
  * debian/control:
    - Add python{,3}-hypothesis to B-D.
    - Annotate B-Ds with <!nocheck> where possible.
    - Update debhelper and dpkg-dev B-D for build profiles support.
    - Update Description.
    - Bump X-Python3-Version.
  * debian/rules:
    - Update clean target.
    - Update ignored tests.
  * debian/NEWS: Document entrypoint changes.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 21 Aug 2016 20:05:49 +0200

=== debian/control ===
Source: pytest
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Simon Chopin <chopin.simon@gmail.com>,
           Sebastian Ramacher <sramacher@debian.org>
Build-Depends: debhelper (>= 9.20141010),
               dpkg-dev (>= 1.17.14),
               dh-python,
               python-all (>= 2.6.6-3~),
               python-doc,
               python-mock (>= 1.0.1) <!nocheck>,
               python-hypothesis <!nocheck>,
               python-nose <!nocheck>,
               python-pexpect <!nocheck>,
               python-py (>= 1.4.29),
               python-setuptools,
               python-sphinx (>= 1.0.7+dfsg),
               python-twisted-core <!nocheck>,
               python3-all (>= 3.1.2-6~),
               python3-hypothesis <!nocheck>,
               python3-mock (>= 1.0.1) <!nocheck>,
               python3-nose <!nocheck>,
               python3-py (>= 1.4.29),
               python3-setuptools,
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.3
Standards-Version: 3.9.8
Homepage: http://pytest.org/
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/pytest.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/pytest.git

Package: python-pytest
Architecture: all
Depends: python-pkg-resources,
         python-py (>= 1.4.29),
         ${misc:Depends},
         ${python:Depends}
Suggests: python-mock (>= 1.0.1)
Description: Simple, powerful testing in Python
 This testing tool has for objective to allow the developers to limit the
 boilerplate code around the tests, promoting the use of built-in
 mechanisms such as the `assert` keyword.
 .
 This package provides the Python 2 modules and the py.test script.

Package: python3-pytest
Architecture: all
Depends: python3-pkg-resources,
         python3-py (>= 1.4.29),
         ${misc:Depends},
         ${python3:Depends}
Description: Simple, powerful testing in Python3
 This testing tool has for objective to allow the developers to limit the
 boilerplate code around the tests, promoting the use of built-in
 mechanisms such as the `assert` keyword.
 .
 This package provides the Python 3 module and the py.test-3 script.

Package: python-pytest-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Recommends: python-pytest | python3-pytest
Description: Simple, powerful testing in Python - Documentation
 This testing tool has for objective to allow the developers to limit the
 boilerplate code around the tests, promoting the use of built-in
 mechanisms such as the `assert` keyword.
 .
 This package contains the documentation for pytest.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_NAME=pytest

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=$(CURDIR) $(MAKE) -C doc/en man html
	cp doc/en/_build/man/pytest.1 debian/py.test.1
	cp debian/py.test.1 debian/py.test-3.1
	sed -i 's/PYTEST/PY.TEST/g' debian/py.test.1
	sed -i 's/PYTEST/PY.TEST-3/g' debian/py.test-3.1
	sed -i 's/py\.test/py.test-3/g' debian/py.test-3.1

# 2015-12-16 barry@debian.org: Because pytest does not clean up after itself,
# use a custom temporary directory (which is easier to clean up manually,
# e.g. in an sbuild).
override_dh_auto_test:
	mkdir -p debian/tmp/test-working-directory
	dh_auto_test -- \
		--system=custom \
		--test-args="cd debian/tmp/test-working-directory && {interpreter} -m pytest --lsof -rfsxX --ignore={dir}/testing/freeze --ignore={dir}/testing/test_entry_points.py --ignore={dir}/testing/test_pdb.py {dir}/testing"

override_dh_auto_install:
	dh_auto_install
	rm debian/py*-pytest/usr/bin/pytest
	mv debian/python3-pytest/usr/bin/py.test \
		debian/python3-pytest/usr/bin/py.test-3
	# mv debian/python3-pytest/usr/bin/pytest \
	#	debian/python3-pytest/usr/bin/pytest-3

override_dh_auto_clean:
	rm -rf doc/en/_build
	rm -rf pytest.egg-info
	dh_auto_clean

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/pytest/pytest-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pytest 3.0.4

=== debian/changelog ===
pytest (3.0.4-1~nd90+1) stretch; urgency=medium

  * Backported for stretch.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Thu, 08 Dec 2016 17:08:49 -0500

pytest (3.0.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Move python{,3}-twisted-core to Build-Conflicts until
    upstream issues #1989 is fixed. This is a temporary workaround for
    #844919.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 19 Nov 2016 10:59:59 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,17 @@
 Source: pytest
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
+X-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Simon Chopin <chopin.simon@gmail.com>,
            Sebastian Ramacher <sramacher@debian.org>
 Build-Depends: debhelper (>= 9.20141010),
                dpkg-dev (>= 1.17.14),
                dh-python,
+               pypy,
+               pypy-hypothesis <!nocheck>,
+               pypy-setuptools,
+               pypy-py (>= 1.4.29),
                python-all (>= 2.6.6-3~),
                python-doc,
                python-mock (>= 1.0.1) <!nocheck>,
@@ -16,13 +21,14 @@
                python-py (>= 1.4.29),
                python-setuptools,
                python-sphinx (>= 1.0.7+dfsg),
-               python-twisted-core <!nocheck>,
                python3-all (>= 3.1.2-6~),
                python3-hypothesis <!nocheck>,
                python3-mock (>= 1.0.1) <!nocheck>,
                python3-nose <!nocheck>,
                python3-py (>= 1.4.29),
-               python3-setuptools,
+               python3-setuptools
+Build-Conflicts: python-twisted-core,
+                 python3-twisted-core
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.3
 Standards-Version: 3.9.8
@@ -32,7 +38,7 @@
 
 Package: python-pytest
 Architecture: all
-Depends: python-pkg-resources,
+Depends: neurodebian-popularity-contest, python-pkg-resources,
          python-py (>= 1.4.29),
          ${misc:Depends},
          ${python:Depends}
@@ -46,7 +52,7 @@
 
 Package: python3-pytest
 Architecture: all
-Depends: python3-pkg-resources,
+Depends: neurodebian-popularity-contest, python3-pkg-resources,
          python3-py (>= 1.4.29),
          ${misc:Depends},
          ${python3:Depends}
@@ -57,10 +63,23 @@
  .
  This package provides the Python 3 module and the py.test-3 script.
 
+Package: pypy-pytest
+Architecture: all
+Depends: neurodebian-popularity-contest, pypy-pkg-resources,
+         pypy-py (>= 1.4.29),
+         ${misc:Depends},
+         ${pypy:Depends}
+Description: Simple, powerful testing in PyPy
+ This testing tool has for objective to allow the developers to limit the
+ boilerplate code around the tests, promoting the use of built-in
+ mechanisms such as the `assert` keyword.
+ .
+ This package provides the PyPy module and the py.test-pypy script.
+
 Package: python-pytest-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Depends: neurodebian-popularity-contest, ${misc:Depends}, ${sphinxdoc:Depends}
 Recommends: python-pytest | python3-pytest
 Description: Simple, powerful testing in Python - Documentation
  This testing tool has for objective to allow the developers to limit the

=== debian/rules ===
--- 
+++ 
@@ -4,16 +4,19 @@
 export PYBUILD_NAME=pytest
 
 %:
-	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python2,python3,pypy,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_build:
 	dh_auto_build
 	PYTHONPATH=$(CURDIR) $(MAKE) -C doc/en man html
 	cp doc/en/_build/man/pytest.1 debian/py.test.1
 	cp debian/py.test.1 debian/py.test-3.1
+	cp debian/py.test.1 debian/py.test-pypy.1
 	sed -i 's/PYTEST/PY.TEST/g' debian/py.test.1
 	sed -i 's/PYTEST/PY.TEST-3/g' debian/py.test-3.1
+	sed -i 's/PYTEST/PYPY.TEST/g' debian/py.test-pypy.1
 	sed -i 's/py\.test/py.test-3/g' debian/py.test-3.1
+	sed -i 's/py\.test/pypy.test/g' debian/py.test-pypy.1
 
 # 2015-12-16 barry@debian.org: Because pytest does not clean up after itself,
 # use a custom temporary directory (which is easier to clean up manually,
@@ -29,6 +32,8 @@
 	rm debian/py*-pytest/usr/bin/pytest
 	mv debian/python3-pytest/usr/bin/py.test \
 		debian/python3-pytest/usr/bin/py.test-3
+	mv debian/pypy-pytest/usr/bin/py.test \
+		debian/pypy-pytest/usr/bin/py.test-pypy
 	# mv debian/python3-pytest/usr/bin/pytest \
 	#	debian/python3-pytest/usr/bin/pytest-3

## pytest 3.0.6

=== doc/en/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

REGENDOC_ARGS := \
	--normalize "/={8,} (.*) ={8,}/======= \1 ========/" \
	--normalize "/_{8,} (.*) _{8,}/_______ \1 ________/" \
	--normalize "/in \d+.\d+ seconds/in 0.12 seconds/" \
	--normalize "@/tmp/pytest-of-.*/pytest-\d+@PYTEST_TMPDIR@" \


.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest


help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  showtarget to show the pytest.org target directory"
	@echo "  install    to install docs to pytest.org/SITETARGET"
	@echo "  install-ldf to install the doc pdf to pytest.org/SITETARGET"
	@echo "  regen      to regenerate pytest examples using the installed pytest"
	@echo "  linkcheck  to check all external links for integrity"

clean:
	-rm -rf $(BUILDDIR)/*

regen:
	PYTHONDONTWRITEBYTECODE=1 COLUMNS=76 regendoc --update *.rst */*.rst ${REGENDOC_ARGS}

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pytest.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pytest.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/pytest"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/pytest"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

texinfo:
	mkdir -p $(BUILDDIR)/texinfo
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	mkdir -p $(BUILDDIR)/texinfo
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

=== debian/changelog ===
pytest (3.0.6-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Fix B-C on python3-twisted.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 26 Jan 2017 18:05:43 +0100

pytest (3.0.5-2) unstable; urgency=medium

  * debian/*: Install pytest entrypoints since logilab-common removed them.
    Also make the old py.test entrypoints symlinks to pytest.
  * debian/{control,compat}: Bump debhelper compat to 10.
  * debian/control: Use sphinxdoc:Built-Using for -doc package.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 14 Dec 2016 20:43:52 +0100

pytest (3.0.5-1) unstable; urgency=medium

  * New upstream release.

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 09 Dec 2016 17:50:42 +0100

=== debian/control ===
Source: pytest
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Simon Chopin <chopin.simon@gmail.com>,
 Sebastian Ramacher <sramacher@debian.org>
Build-Depends:
 debhelper (>= 10),
 dh-python,
 dpkg-dev (>= 1.17.14),
 pypy,
 pypy-hypothesis <!nocheck>,
 pypy-py (>= 1.4.29),
 pypy-setuptools,
 python-all (>= 2.6.6-3~),
 python-doc,
 python-hypothesis <!nocheck>,
 python-mock (>= 1.0.1) <!nocheck>,
 python-nose <!nocheck>,
 python-pexpect <!nocheck>,
 python-py (>= 1.4.29),
 python-setuptools,
 python-sphinx (>= 1.0.7+dfsg),
 python3-all (>= 3.1.2-6~),
 python3-hypothesis <!nocheck>,
 python3-mock (>= 1.0.1) <!nocheck>,
 python3-nose <!nocheck>,
 python3-py (>= 1.4.29),
 python3-setuptools
Build-Conflicts:
 python-twisted-core,
 python3-twisted
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.3
Standards-Version: 3.9.8
Homepage: http://pytest.org/
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/pytest.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/pytest.git

Package: python-pytest
Architecture: all
Depends:
 python-pkg-resources,
 python-py (>= 1.4.29),
 ${misc:Depends},
 ${python:Depends}
Suggests:
 python-mock (>= 1.0.1)
Breaks:
 python-logilab-common (<< 1.3.0-1)
Replaces:
 python-logilab-common (<< 1.3.0-1)
Description: Simple, powerful testing in Python
 This testing tool has for objective to allow the developers to limit the
 boilerplate code around the tests, promoting the use of built-in
 mechanisms such as the `assert` keyword.
 .
 This package provides the Python 2 modules and the py.test script.

Package: python3-pytest
Architecture: all
Depends:
 python3-pkg-resources,
 python3-py (>= 1.4.29),
 ${misc:Depends},
 ${python3:Depends}
Description: Simple, powerful testing in Python3
 This testing tool has for objective to allow the developers to limit the
 boilerplate code around the tests, promoting the use of built-in
 mechanisms such as the `assert` keyword.
 .
 This package provides the Python 3 module and the py.test-3 script.

Package: pypy-pytest
Architecture: all
Depends:
 pypy-pkg-resources,
 pypy-py (>= 1.4.29),
 ${misc:Depends},
 ${pypy:Depends}
Description: Simple, powerful testing in PyPy
 This testing tool has for objective to allow the developers to limit the
 boilerplate code around the tests, promoting the use of built-in
 mechanisms such as the `assert` keyword.
 .
 This package provides the PyPy module and the py.test-pypy script.

Package: python-pytest-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends}
Recommends:
 python-pytest | python3-pytest
Built-Using: ${sphinxdoc:Built-Using}
Description: Simple, powerful testing in Python - Documentation
 This testing tool has for objective to allow the developers to limit the
 boilerplate code around the tests, promoting the use of built-in
 mechanisms such as the `assert` keyword.
 .
 This package contains the documentation for pytest.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_NAME=pytest

%:
	dh $@ --with python2,python3,pypy,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=$(CURDIR) $(MAKE) -C doc/en man html
	mkdir -p debian/tmp
	sed 's/PYTEST/PYTEST-3/g' doc/en/_build/man/pytest.1 > debian/pytest-3.1
	sed 's/PYTEST/PYTEST-PYPY/g' doc/en/_build/man/pytest.1 > debian/pytest-pypy.1

# 2015-12-16 barry@debian.org: Because pytest does not clean up after itself,
# use a custom temporary directory (which is easier to clean up manually,
# e.g. in an sbuild).
override_dh_auto_test:
	mkdir -p debian/tmp/test-working-directory
	dh_auto_test -- \
		--system=custom \
		--test-args="cd debian/tmp/test-working-directory && {interpreter} -m pytest --lsof -rfsxX --ignore={dir}/testing/freeze --ignore={dir}/testing/test_entry_points.py --ignore={dir}/testing/test_pdb.py {dir}/testing"

override_dh_auto_install:
	dh_auto_install
	rm debian/python-pytest/usr/bin/py.test
	rm debian/python3-pytest/usr/bin/py.test
	rm debian/pypy-pytest/usr/bin/py.test
	mv debian/python3-pytest/usr/bin/pytest \
		debian/python3-pytest/usr/bin/pytest-3
	mv debian/pypy-pytest/usr/bin/pytest \
		debian/pypy-pytest/usr/bin/pytest-pypy

override_dh_auto_clean:
	rm -rf doc/en/_build
	dh_auto_clean

## pytest 3.1.3

=== debian/changelog ===
pytest (3.1.3-1ubuntu1) artful; urgency=medium

  * Update version of python-py in Depends. 

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 20 Jul 2017 10:22:16 +1200

pytest (3.1.3-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream release.
  * debian/control:
    - Add setuptool-scm to B-D.
    - Bump Standards-Version.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 13 Jul 2017 13:59:38 +0200

pytest (3.0.7-2) experimental; urgency=medium

  * debian/rules: Remove obsolete mkdir.
  * debian/control: Remove obsolete version constraints.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 21 Mar 2017 21:37:33 +0100

pytest (3.0.7-1) experimental; urgency=medium

  * New upstream release.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 21 Mar 2017 21:15:44 +0100

=== debian/control ===
--- 
+++ 
@@ -1,39 +1,42 @@
 Source: pytest
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders:
  Simon Chopin <chopin.simon@gmail.com>,
  Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
  debhelper (>= 10),
  dh-python,
- dpkg-dev (>= 1.17.14),
  pypy,
  pypy-hypothesis <!nocheck>,
  pypy-py (>= 1.4.29),
  pypy-setuptools,
- python-all (>= 2.6.6-3~),
+ pypy-setuptools-scm,
+ python-all,
  python-doc,
  python-hypothesis <!nocheck>,
  python-mock (>= 1.0.1) <!nocheck>,
  python-nose <!nocheck>,
  python-pexpect <!nocheck>,
- python-py (>= 1.4.29),
+ python-py (>= 1.4.33),
  python-setuptools,
+ python-setuptools-scm,
  python-sphinx (>= 1.0.7+dfsg),
  python3-all (>= 3.1.2-6~),
  python3-hypothesis <!nocheck>,
  python3-mock (>= 1.0.1) <!nocheck>,
  python3-nose <!nocheck>,
  python3-py (>= 1.4.29),
- python3-setuptools
+ python3-setuptools,
+ python3-setuptools-scm
 Build-Conflicts:
  python-twisted-core,
  python3-twisted
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.3
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://pytest.org/
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/pytest.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/pytest.git
@@ -42,7 +45,7 @@
 Architecture: all
 Depends:
  python-pkg-resources,
- python-py (>= 1.4.29),
+ python-py (>= 1.4.33),
  ${misc:Depends},
  ${python:Depends}
 Suggests:
@@ -62,7 +65,7 @@
 Architecture: all
 Depends:
  python3-pkg-resources,
- python3-py (>= 1.4.29),
+ python3-py (>= 1.4.33),
  ${misc:Depends},
  ${python3:Depends}
 Description: Simple, powerful testing in Python3

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,6 @@
 override_dh_auto_build:
 	dh_auto_build
 	PYTHONPATH=$(CURDIR) $(MAKE) -C doc/en man html
-	mkdir -p debian/tmp
 	sed 's/PYTEST/PYTEST-3/g' doc/en/_build/man/pytest.1 > debian/pytest-3.1
 	sed 's/PYTEST/PYTEST-PYPY/g' doc/en/_build/man/pytest.1 > debian/pytest-pypy.1

## pytest 3.3.2

=== tasks/requirements.txt ===
invoke
tox
gitpython
towncrier
wheel

=== debian/changelog ===
pytest (3.3.2-2) unstable; urgency=medium

  * Uploading to unstable

 -- Ondřej Nový <onovy@debian.org>  Wed, 07 Mar 2018 10:28:17 +0100

pytest (3.3.2-1) experimental; urgency=medium

  * New upstream release (Closes: #887342)
  * Add trailing tilde to pypy-hypothesis min version dependency
    (Closes: #891145)
  * d/control: Bump X-Python-Version to 2.7 and X-Python3-Version to 3.4
  * Fix B-D and D for new upstream release
  * Run wrap-and-sort -bast
  * Move python{,3}-twisted back to B-D (Closes: #844919)

 -- Ondřej Nový <onovy@debian.org>  Tue, 27 Feb 2018 15:00:33 +0100

pytest (3.2.5-2) unstable; urgency=medium

  * d/control:
    - Set Vcs-* to salsa.debian.org
    - Require fixed pypy-hypothesis (>= 3.44.1-2)
  * d/rules: Enable testing/python/metafunc.py again

 -- Ondřej Nový <onovy@debian.org>  Fri, 16 Feb 2018 15:34:30 +0100

pytest (3.2.5-1) unstable; urgency=medium

  * New upstream release
  * Remove Simon Chopin from uploaders and add myself (Closes: #889772)
  * Bump debhelper compat level to 11
  * d/copyright
    - Add myself for Debian part
    - Use https in Format
  * Update standards version to 4.1.3 (no changes needed)
  * d/watch: Use https
  * d/source/options: Ignore .egg_info
  * d/clean: Don't clean .egg_info
  * d/rules:
    - Disable testing/test_terminal.py test (requires terminal)
    - Disable testing/python/metafunc.py (requires hypothesis which is broken
      in pypy)
  * Move docs into /usr/share/doc/python-pytest
  * Install README.rst into pypy-pytest package
  * Don't run tests in nocheck profile

 -- Ondřej Nový <onovy@debian.org>  Wed, 07 Feb 2018 13:54:47 +0100

pytest (3.2.1-2) unstable; urgency=medium

  * Team upload.
  * debian/control:
    - Remove myself from Uploaders.
    - Bump all dependencies on python-py to 1.4.34 to avoid endless
      recursions. (Closes: #873961)
    - Bump Standards-Version.
    - Use https for Homepage.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 04 Sep 2017 12:13:29 +0200

pytest (3.2.1-1) unstable; urgency=medium

  * New upstream release.
    - Properly escape test names when setting PYTEST_CURRENT_TEST environment
      variable. (Closes: #871994)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 13 Aug 2017 17:34:34 +0200

pytest (3.2.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Bump Standards-Version.
  * debian/{control,rules}: Build with python3-sphinx.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 10 Aug 2017 20:07:28 +0200

=== debian/control ===
Source: pytest
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Ondřej Nový <onovy@debian.org>,
Build-Depends:
 debhelper (>= 11),
 dh-python,
 pypy,
 pypy-attr (>= 17.2.0),
 pypy-funcsigs,
 pypy-hypothesis (>= 3.44.1-2~) <!nocheck>,
 pypy-pluggy (>= 0.5),
 pypy-py (>= 1.5.0),
 pypy-setuptools,
 pypy-setuptools-scm,
 pypy-six,
 python-all,
 python-attr (>= 17.2.0),
 python-doc,
 python-funcsigs,
 python-hypothesis <!nocheck>,
 python-mock (>= 1.0.1) <!nocheck>,
 python-nose <!nocheck>,
 python-pexpect <!nocheck>,
 python-pluggy (>= 0.5),
 python-py (>= 1.5.0),
 python-setuptools,
 python-setuptools-scm,
 python-six,
 python-twisted,
 python3-all (>= 3.1.2-6~),
 python3-attr (>= 17.2.0),
 python3-hypothesis <!nocheck>,
 python3-mock (>= 1.0.1) <!nocheck>,
 python3-nose <!nocheck>,
 python3-pluggy (>= 0.5),
 python3-py (>= 1.5.0),
 python3-setuptools,
 python3-setuptools-scm,
 python3-six,
 python3-sphinx (>= 1.0.7+dfsg),
 python3-twisted,
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.4
Standards-Version: 4.1.3
Homepage: https://pytest.org/
Vcs-Git: https://salsa.debian.org/python-team/modules/pytest.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/pytest

Package: pypy-pytest
Architecture: all
Depends:
 pypy-attr (>= 17.2.0),
 pypy-funcsigs,
 pypy-pkg-resources,
 pypy-pluggy (>= 0.5),
 pypy-py (>= 1.5.0),
 ${misc:Depends},
 ${pypy:Depends},
Description: Simple, powerful testing in PyPy
 This testing tool has for objective to allow the developers to limit the
 boilerplate code around the tests, promoting the use of built-in
 mechanisms such as the `assert` keyword.
 .
 This package provides the PyPy module and the py.test-pypy script.

Package: python-pytest
Architecture: all
Depends:
 python-attr (>= 17.2.0),
 python-funcsigs,
 python-pkg-resources,
 python-pluggy (>= 0.5),
 python-py (>= 1.5.0),
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-mock (>= 1.0.1),
Breaks:
 python-logilab-common (<< 1.3.0-1),
Replaces:
 python-logilab-common (<< 1.3.0-1),
Description: Simple, powerful testing in Python
 This testing tool has for objective to allow the developers to limit the
 boilerplate code around the tests, promoting the use of built-in
 mechanisms such as the `assert` keyword.
 .
 This package provides the Python 2 modules and the py.test script.

Package: python-pytest-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Recommends:
 python-pytest | python3-pytest,
Built-Using:
 ${sphinxdoc:Built-Using},
Description: Simple, powerful testing in Python - Documentation
 This testing tool has for objective to allow the developers to limit the
 boilerplate code around the tests, promoting the use of built-in
 mechanisms such as the `assert` keyword.
 .
 This package contains the documentation for pytest.

Package: python3-pytest
Architecture: all
Depends:
 python3-attr (>= 17.2.0),
 python3-pkg-resources,
 python3-pluggy (>= 0.5),
 python3-py (>= 1.5.0),
 ${misc:Depends},
 ${python3:Depends},
Description: Simple, powerful testing in Python3
 This testing tool has for objective to allow the developers to limit the
 boilerplate code around the tests, promoting the use of built-in
 mechanisms such as the `assert` keyword.
 .
 This package provides the Python 3 module and the py.test-3 script.

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,9 @@
 
 override_dh_auto_build:
 	dh_auto_build
-	PYTHONPATH=$(CURDIR) $(MAKE) -C doc/en man html
+	PYTHONPATH=$(CURDIR) \
+		SPHINXBUILD=/usr/share/sphinx/scripts/python3/sphinx-build \
+		$(MAKE) -C doc/en man html
 	sed 's/PYTEST/PYTEST-3/g' doc/en/_build/man/pytest.1 > debian/pytest-3.1
 	sed 's/PYTEST/PYTEST-PYPY/g' doc/en/_build/man/pytest.1 > debian/pytest-pypy.1
 
@@ -16,10 +18,18 @@
 # use a custom temporary directory (which is easier to clean up manually,
 # e.g. in an sbuild).
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	mkdir -p debian/tmp/test-working-directory
 	dh_auto_test -- \
 		--system=custom \
-		--test-args="cd debian/tmp/test-working-directory && {interpreter} -m pytest --lsof -rfsxX --ignore={dir}/testing/freeze --ignore={dir}/testing/test_entry_points.py --ignore={dir}/testing/test_pdb.py {dir}/testing"
+		--test-args="cd debian/tmp/test-working-directory && {interpreter} -m pytest --lsof -rfsxX \
+			--ignore={dir}/testing/freeze \
+			--ignore={dir}/testing/test_entry_points.py \
+			--ignore={dir}/testing/test_pdb.py \
+			--ignore={dir}/testing/test_terminal.py \
+			-k-test_trial_pdb \
+			{dir}/testing"
+endif
 
 override_dh_auto_install:
 	dh_auto_install

## pytest 3.6.4

=== debian/changelog ===
pytest (3.6.4-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.1.5 (no changes needed)

 -- Ondřej Nový <onovy@debian.org>  Tue, 31 Jul 2018 04:51:57 +0200

pytest (3.6.2-2) unstable; urgency=medium

  * Uploading to unstable

 -- Ondřej Nový <onovy@debian.org>  Wed, 27 Jun 2018 10:06:43 +0200

pytest (3.6.2-1) experimental; urgency=medium

  * New upstream release (Closes: #901568)
  * Arrange B-D for new upstream release
  * d/rules:
    - pytest src is now in src/ subdirectory
    - Skip testing/test_mark.py test
  * d/patches/0005-Drop-sphinxcontrib_trio-extension.patch: Add patch
  * Add upstream metadata

 -- Ondřej Nový <onovy@debian.org>  Wed, 20 Jun 2018 16:35:30 +0200

pytest (3.3.2-3) unstable; urgency=medium

  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP
  * Fix PyPy SyntaxError offset in tests (Closes: #897557)
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Bump Standards-Version to 4.1.4 (no changes needed)

 -- Ondřej Nový <onovy@debian.org>  Thu, 10 May 2018 12:35:04 +0200

=== debian/control ===
--- 
+++ 
@@ -8,20 +8,24 @@
  debhelper (>= 11),
  dh-python,
  pypy,
- pypy-attr (>= 17.2.0),
+ pypy-atomicwrites,
+ pypy-attr (>= 17.4.0),
  pypy-funcsigs,
  pypy-hypothesis (>= 3.44.1-2~) <!nocheck>,
+ pypy-more-itertools (>= 4.0.0),
  pypy-pluggy (>= 0.5),
  pypy-py (>= 1.5.0),
  pypy-setuptools,
  pypy-setuptools-scm,
  pypy-six,
  python-all,
- python-attr (>= 17.2.0),
+ python-atomicwrites,
+ python-attr (>= 17.4.0),
  python-doc,
  python-funcsigs,
  python-hypothesis <!nocheck>,
  python-mock (>= 1.0.1) <!nocheck>,
+ python-more-itertools (>= 4.0.0),
  python-nose <!nocheck>,
  python-pexpect <!nocheck>,
  python-pluggy (>= 0.5),
@@ -31,9 +35,11 @@
  python-six,
  python-twisted,
  python3-all (>= 3.1.2-6~),
- python3-attr (>= 17.2.0),
+ python3-atomicwrites,
+ python3-attr (>= 17.4.0),
  python3-hypothesis <!nocheck>,
  python3-mock (>= 1.0.1) <!nocheck>,
+ python3-more-itertools (>= 4.0.0),
  python3-nose <!nocheck>,
  python3-pluggy (>= 0.5),
  python3-py (>= 1.5.0),
@@ -42,9 +48,7 @@
  python3-six,
  python3-sphinx (>= 1.0.7+dfsg),
  python3-twisted,
-X-Python-Version: >= 2.7
-X-Python3-Version: >= 3.4
-Standards-Version: 4.1.3
+Standards-Version: 4.1.5
 Homepage: https://pytest.org/
 Vcs-Git: https://salsa.debian.org/python-team/modules/pytest.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/pytest
@@ -52,7 +56,7 @@
 Package: pypy-pytest
 Architecture: all
 Depends:
- pypy-attr (>= 17.2.0),
+ pypy-attr (>= 17.4.0),
  pypy-funcsigs,
  pypy-pkg-resources,
  pypy-pluggy (>= 0.5),
@@ -69,7 +73,7 @@
 Package: python-pytest
 Architecture: all
 Depends:
- python-attr (>= 17.2.0),
+ python-attr (>= 17.4.0),
  python-funcsigs,
  python-pkg-resources,
  python-pluggy (>= 0.5),
@@ -109,7 +113,7 @@
 Package: python3-pytest
 Architecture: all
 Depends:
- python3-attr (>= 17.2.0),
+ python3-attr (>= 17.4.0),
  python3-pkg-resources,
  python3-pluggy (>= 0.5),
  python3-py (>= 1.5.0),

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 override_dh_auto_build:
 	dh_auto_build
-	PYTHONPATH=$(CURDIR) \
+	PYTHONPATH=$(CURDIR)/src \
 		SPHINXBUILD=/usr/share/sphinx/scripts/python3/sphinx-build \
 		$(MAKE) -C doc/en man html
 	sed 's/PYTEST/PYTEST-3/g' doc/en/_build/man/pytest.1 > debian/pytest-3.1
@@ -26,6 +26,7 @@
 			--ignore={dir}/testing/freeze \
 			--ignore={dir}/testing/test_entry_points.py \
 			--ignore={dir}/testing/test_pdb.py \
+			--ignore={dir}/testing/test_mark.py \
 			--ignore={dir}/testing/test_terminal.py \
 			-k-test_trial_pdb \
 			{dir}/testing"

## pytest 3.10.1

=== debian/changelog ===
pytest (3.10.1-2) unstable; urgency=medium

  * Fix test_raises_exception_looks_iterable test with newer Python 3.7
    (Closes: #916944)

 -- Ondřej Nový <onovy@debian.org>  Fri, 21 Dec 2018 18:49:26 +0100

pytest (3.10.1-1) unstable; urgency=medium

  * New upstream release (Closes: #914420)

 -- Ondřej Nový <onovy@debian.org>  Fri, 23 Nov 2018 18:59:56 +0100

pytest (3.9.3-2) unstable; urgency=medium

  * Uploading to unstable
  * Require newer version of {python,pypy}-pathlib2.
  * Add {python,pypy}-pathlib2 into runtim depends.

 -- Ondřej Nový <onovy@debian.org>  Thu, 22 Nov 2018 09:14:51 +0100

pytest (3.9.3-1) experimental; urgency=medium

  * New upstream release (Closes: #908181)
  * Convert git repository from git-dpm to gbp layout
  * d/p/0004-Fix-PyPy-SyntaxError-offset-in-tests.patch:
    Drop, applied upstream
  * Rebase patches
  * Fix B-D/D for new upstream release
  * Disable more tests - doesn't work with PyPy
  * Use PYBUILD_TEST_ARGS{,_pypy} for test disabling
  * Bump Standards-Version to 4.2.1 (no changes needed)

 -- Ondřej Nový <onovy@debian.org>  Wed, 07 Nov 2018 15:01:27 +0100

=== debian/control ===
--- 
+++ 
@@ -13,9 +13,10 @@
  pypy-funcsigs,
  pypy-hypothesis (>= 3.44.1-2~) <!nocheck>,
  pypy-more-itertools (>= 4.0.0),
- pypy-pluggy (>= 0.5),
+ pypy-pathlib2 (>= 2.2.1),
+ pypy-pluggy (>= 0.7),
  pypy-py (>= 1.5.0),
- pypy-setuptools,
+ pypy-setuptools (>= 40.0),
  pypy-setuptools-scm,
  pypy-six,
  python-all,
@@ -27,12 +28,13 @@
  python-mock (>= 1.0.1) <!nocheck>,
  python-more-itertools (>= 4.0.0),
  python-nose <!nocheck>,
+ python-pathlib2 (>= 2.2.1),
  python-pexpect <!nocheck>,
- python-pluggy (>= 0.5),
+ python-pluggy (>= 0.7),
  python-py (>= 1.5.0),
- python-setuptools,
+ python-setuptools (>= 40.0),
  python-setuptools-scm,
- python-six,
+ python-six (>= 1.10.0),
  python-twisted,
  python3-all (>= 3.1.2-6~),
  python3-atomicwrites,
@@ -41,14 +43,14 @@
  python3-mock (>= 1.0.1) <!nocheck>,
  python3-more-itertools (>= 4.0.0),
  python3-nose <!nocheck>,
- python3-pluggy (>= 0.5),
+ python3-pluggy (>= 0.7),
  python3-py (>= 1.5.0),
- python3-setuptools,
+ python3-setuptools (>= 40.0),
  python3-setuptools-scm,
  python3-six,
  python3-sphinx (>= 1.0.7+dfsg),
  python3-twisted,
-Standards-Version: 4.1.5
+Standards-Version: 4.2.1
 Homepage: https://pytest.org/
 Vcs-Git: https://salsa.debian.org/python-team/modules/pytest.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/pytest
@@ -58,8 +60,9 @@
 Depends:
  pypy-attr (>= 17.4.0),
  pypy-funcsigs,
+ pypy-pathlib2 (>= 2.2.1),
  pypy-pkg-resources,
- pypy-pluggy (>= 0.5),
+ pypy-pluggy (>= 0.7),
  pypy-py (>= 1.5.0),
  ${misc:Depends},
  ${pypy:Depends},
@@ -75,8 +78,9 @@
 Depends:
  python-attr (>= 17.4.0),
  python-funcsigs,
+ python-pathlib2 (>= 2.2.1),
  python-pkg-resources,
- python-pluggy (>= 0.5),
+ python-pluggy (>= 0.7),
  python-py (>= 1.5.0),
  ${misc:Depends},
  ${python:Depends},
@@ -115,7 +119,7 @@
 Depends:
  python3-attr (>= 17.4.0),
  python3-pkg-resources,
- python3-pluggy (>= 0.5),
+ python3-pluggy (>= 0.7),
  python3-py (>= 1.5.0),
  ${misc:Depends},
  ${python3:Depends},

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,31 @@
 # -*- makefile -*-
 
 export PYBUILD_NAME=pytest
+
+export PYBUILD_BEFORE_TEST=mkdir -p {dir}/debian/tmp/test-working-directory
+export PYBUILD_AFTER_TEST=rm -rf {dir}/debian/tmp/test-working-directory
+export PYBUILD_TEST_ARGS=\
+	cd {dir}/debian/tmp/test-working-directory && \
+	{interpreter} -m pytest --lsof -rfsxX \
+		--ignore={dir}/testing/freeze \
+		--ignore={dir}/testing/test_entry_points.py \
+		--ignore={dir}/testing/test_pdb.py \
+		--ignore={dir}/testing/test_mark.py \
+		--ignore={dir}/testing/test_terminal.py \
+		-k 'not test_trial_pdb' \
+		{dir}/testing
+# Disable more tests in pypy, because we don't have pypy-mock
+export PYBUILD_TEST_ARGS_pypy=\
+	cd {dir}/debian/tmp/test-working-directory && \
+	{interpreter} -m pytest --lsof -rfsxX \
+		--ignore={dir}/testing/freeze \
+		--ignore={dir}/testing/test_entry_points.py \
+		--ignore={dir}/testing/test_pdb.py \
+		--ignore={dir}/testing/test_mark.py \
+		--ignore={dir}/testing/test_terminal.py \
+		--ignore={dir}/testing/code/test_code.py \
+		-k 'not test_trial_pdb and not test_fixture_mock_integration' \
+		{dir}/testing
 
 %:
 	dh $@ --with python2,python3,pypy,sphinxdoc --buildsystem=pybuild
@@ -19,17 +44,7 @@
 # e.g. in an sbuild).
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	mkdir -p debian/tmp/test-working-directory
-	dh_auto_test -- \
-		--system=custom \
-		--test-args="cd debian/tmp/test-working-directory && {interpreter} -m pytest --lsof -rfsxX \
-			--ignore={dir}/testing/freeze \
-			--ignore={dir}/testing/test_entry_points.py \
-			--ignore={dir}/testing/test_pdb.py \
-			--ignore={dir}/testing/test_mark.py \
-			--ignore={dir}/testing/test_terminal.py \
-			-k-test_trial_pdb \
-			{dir}/testing"
+	dh_auto_test -- --system=custom
 endif
 
 override_dh_auto_install:

## pytest 4.6.5

=== debian/changelog ===
pytest (4.6.5-2~cloud0) bionic-train; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 27 Aug 2019 09:02:34 -0400

pytest (4.6.5-2) unstable; urgency=medium

  * Add Breaks of older:
    - python{,3}-pytest-cov
    - python{,3}-pytest-xdist
    - python{,3}-pytest-xvfb
    - python{,3}-flaky
  * Drop versioned depends and breaks older than oldstable.
  * Remove python3-mock from B-D.

 -- Ondřej Nový <onovy@debian.org>  Mon, 12 Aug 2019 14:54:00 +0200

pytest (4.6.5-1) unstable; urgency=low

  * New upstream release.

 -- Ondřej Nový <onovy@debian.org>  Thu, 08 Aug 2019 10:17:18 +0200

pytest (4.6.4-1) unstable; urgency=medium

  * New upstream release
  * d/watch: Limit to major version 4, because 5+ is Python 3 only
  * d/patches/0006-tests-fix-test_raises_exception_looks_iterable.patch:
    Drop, applied upstream
  * d/patches: Rebased
  * Fix B-D a D for new upstream release
  * Disable some of Sphinx extensions which we don't have in Debian (yet)
  * Use debhelper-compat instead of debian/compat.
  * Bump debhelper compat level to 12.
  * Bump standards version to 4.4.0 (no changes).

 -- Ondřej Nový <onovy@debian.org>  Thu, 01 Aug 2019 23:10:41 +0200

=== debian/control ===
--- 
+++ 
@@ -5,52 +5,60 @@
 Uploaders:
  Ondřej Nový <onovy@debian.org>,
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  dh-python,
  pypy,
  pypy-atomicwrites,
  pypy-attr (>= 17.4.0),
  pypy-funcsigs,
  pypy-hypothesis (>= 3.44.1-2~) <!nocheck>,
- pypy-more-itertools (>= 4.0.0),
+ pypy-importlib-metadata,
+ pypy-more-itertools,
+ pypy-packaging,
  pypy-pathlib2 (>= 2.2.1),
- pypy-pluggy (>= 0.7),
+ pypy-pluggy (>= 0.12),
  pypy-py (>= 1.5.0),
  pypy-setuptools (>= 40.0),
  pypy-setuptools-scm,
  pypy-six,
+ pypy-wcwidth,
  python-all,
  python-atomicwrites,
  python-attr (>= 17.4.0),
  python-doc,
  python-funcsigs,
  python-hypothesis <!nocheck>,
- python-mock (>= 1.0.1) <!nocheck>,
- python-more-itertools (>= 4.0.0),
+ python-importlib-metadata,
+ python-mock <!nocheck>,
+ python-more-itertools,
  python-nose <!nocheck>,
+ python-packaging,
  python-pathlib2 (>= 2.2.1),
  python-pexpect <!nocheck>,
- python-pluggy (>= 0.7),
+ python-pluggy (>= 0.12),
  python-py (>= 1.5.0),
  python-setuptools (>= 40.0),
  python-setuptools-scm,
  python-six (>= 1.10.0),
  python-twisted,
+ python-wcwidth,
  python3-all (>= 3.1.2-6~),
  python3-atomicwrites,
  python3-attr (>= 17.4.0),
  python3-hypothesis <!nocheck>,
- python3-mock (>= 1.0.1) <!nocheck>,
- python3-more-itertools (>= 4.0.0),
+ python3-importlib-metadata,
+ python3-more-itertools,
  python3-nose <!nocheck>,
- python3-pluggy (>= 0.7),
+ python3-packaging,
+ python3-pluggy (>= 0.12),
  python3-py (>= 1.5.0),
  python3-setuptools (>= 40.0),
  python3-setuptools-scm,
  python3-six,
  python3-sphinx (>= 1.0.7+dfsg),
  python3-twisted,
-Standards-Version: 4.2.1
+ python3-wcwidth,
+Standards-Version: 4.4.0
 Homepage: https://pytest.org/
 Vcs-Git: https://salsa.debian.org/python-team/modules/pytest.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/pytest
@@ -60,9 +68,10 @@
 Depends:
  pypy-attr (>= 17.4.0),
  pypy-funcsigs,
+ pypy-more-itertools,
  pypy-pathlib2 (>= 2.2.1),
  pypy-pkg-resources,
- pypy-pluggy (>= 0.7),
+ pypy-pluggy (>= 0.12),
  pypy-py (>= 1.5.0),
  ${misc:Depends},
  ${pypy:Depends},
@@ -78,18 +87,20 @@
 Depends:
  python-attr (>= 17.4.0),
  python-funcsigs,
+ python-more-itertools,
  python-pathlib2 (>= 2.2.1),
  python-pkg-resources,
- python-pluggy (>= 0.7),
+ python-pluggy (>= 0.12),
  python-py (>= 1.5.0),
  ${misc:Depends},
  ${python:Depends},
 Suggests:
- python-mock (>= 1.0.1),
+ python-mock,
 Breaks:
- python-logilab-common (<< 1.3.0-1),
-Replaces:
- python-logilab-common (<< 1.3.0-1),
+ python-flaky (<< 3.6.1-1~),
+ python-pytest-cov (<< 2.7.1-1~),
+ python-pytest-xdist (<< 1.29.0-1~),
+ python-pytest-xvfb (<< 1.2.0-1~),
 Description: Simple, powerful testing in Python
  This testing tool has for objective to allow the developers to limit the
  boilerplate code around the tests, promoting the use of built-in
@@ -118,11 +129,17 @@
 Architecture: all
 Depends:
  python3-attr (>= 17.4.0),
+ python3-more-itertools,
  python3-pkg-resources,
- python3-pluggy (>= 0.7),
+ python3-pluggy (>= 0.12),
  python3-py (>= 1.5.0),
  ${misc:Depends},
  ${python3:Depends},
+Breaks:
+ python3-flaky (<< 3.6.1-1~),
+ python3-pytest-cov (<< 2.7.1-1~),
+ python3-pytest-xdist (<< 1.29.0-1~),
+ python3-pytest-xvfb (<< 1.2.0-1~),
 Description: Simple, powerful testing in Python3
  This testing tool has for objective to allow the developers to limit the
  boilerplate code around the tests, promoting the use of built-in

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 export PYBUILD_AFTER_TEST=rm -rf {dir}/debian/tmp/test-working-directory
 export PYBUILD_TEST_ARGS=\
 	cd {dir}/debian/tmp/test-working-directory && \
-	{interpreter} -m pytest --lsof -rfsxX \
+	python3 -m pytest --lsof -rfsxX \
 		--ignore={dir}/testing/freeze \
 		--ignore={dir}/testing/test_entry_points.py \
 		--ignore={dir}/testing/test_pdb.py \
@@ -18,7 +18,7 @@
 # Disable more tests in pypy, because we don't have pypy-mock
 export PYBUILD_TEST_ARGS_pypy=\
 	cd {dir}/debian/tmp/test-working-directory && \
-	{interpreter} -m pytest --lsof -rfsxX \
+	python3 -m pytest --lsof -rfsxX \
 		--ignore={dir}/testing/freeze \
 		--ignore={dir}/testing/test_entry_points.py \
 		--ignore={dir}/testing/test_pdb.py \
